/*
 * first_paint.c
 */

#include "first.h"



int firstPaint()
{
    //
    // Global Vars
    //
    // int tindex            | W / - |
    // char **tline          | W / R |
    // HWND hwndFirstFenster | - / R |
    // int iVscrollPos       | - / R |
    //

    HDC         hdc;
    PAINTSTRUCT ps;

    int pos, print_index;

    int re = 0;

    //--------------------------------------------------------------------
    
    // sprintf( stdMessage, "WM_PAINT Pos %d", iVscrollPos );
    // wndInsertString( stdMessage );

    SetScrollPos(   hwndFirstFenster, SB_VERT, iVscrollPos, TRUE );

    hdc = BeginPaint (hwndFirstFenster, &ps) ;
    {
        SelectObject( hdc, GetStockObject(SYSTEM_FIXED_FONT) );

        print_index = tindex - ( NUM_MESSAGES-1 - iVscrollPos );

        
        
        //
        // >>pos<< Printposition [upper Edge] in Pixel;
        // used as the counter for the loop.
        // In the beginning there are some empty lines are displayed.
        // This is not an accident.
        //
        for( pos = tPixY - (tcyChar + 3);
             pos >= 0;
             pos -= tcyChar )
        {
            if( print_index < 0 )
            {
                print_index = NUM_MESSAGES + print_index;
            }
            
            TextOut( hdc, 10, pos, tlines[print_index], MESSAGE_LENGTH );

            print_index--;
        }
                
    }
    EndPaint (hwndFirstFenster, &ps) ;

    return re;
}
