#include "first.h"


static char szTextClass[] = "F I R S T";

//
// Definition of global Vars used by the TEXT-Modul
//

char *tlines[NUM_MESSAGES];
int  tindex = -1;
int tcxChar, tcyChar, tPixX, tPixY, tcxBuffer, tcyBuffer;
int number = 1;
int iVscrollPos;
char stdMessage[ MESSAGE_LENGTH ];
HWND hwndFirstFenster;

int firstWindowRegister( HINSTANCE hInstance )
{
    //
    // Global Vars
    //
    // char **tline  [Array with the Messages]             | W / - |
    // HWND hwndFirstFenster [ handle of the TextFenster ] | W / - |
    //
    // HWND hwndFirstFenster;
	// char szTextClass[] = "F I R S T";

    WNDCLASSEX  class ;
    ATOM atTextClass;
    
	int i, j;

	int re = 0;
	
	//----------------------------------------------------

    //
    // Allocate space for the strings
    // 
    for( i = 0; i < NUM_MESSAGES; i++ )
    {
        tlines[i] = (char *)malloc( MESSAGE_LENGTH * sizeof( char ) );

        for( j = 0; j < MESSAGE_LENGTH; j++ )
        {
            (tlines[i])[j] = ' ';
        }
    }

    //
    //
    // Register the class
    //
    //
    class.cbSize        = sizeof ( class) ;
    class.style         = CS_HREDRAW | CS_VREDRAW,
    class.lpfnWndProc   = firstWindowProc;
    class.cbWndExtra    = 0; // memory for the index
    class.cbClsExtra    = 0 ;
    class.hInstance     = hInstance,
    class.hIcon         = NULL ; // Now Icon for the children 
    class.lpszClassName = szTextClass;
    class.hCursor       = LoadCursor (NULL, IDC_ARROW) ;
    class.hbrBackground = (HBRUSH) GetStockObject (WHITE_BRUSH) ;
    class.lpszMenuName  = NULL;
    class.hIconSm       = LoadIcon (NULL, IDI_APPLICATION) ;

    
  
    // wndInsertString( "starting to register" );
    atTextClass = RegisterClassEx ( &class ) ;
    
	if( ! atTextClass )
	{
		re = 1;
	}

	return re;
}



int firstWindowCreate( HINSTANCE hInstance, int iCmdShow)
{
    //
    // Global Vars
    //
    // char **tline  [Array with the Messages]            | W / - |
    // HWND hwndTextFenster [ handle of the TextFenster ] | W / - |
    //
    
    int re = 0;

    //-----------------------------------------------------------------------

	firstWindowRegister( hInstance );

    //
    //
    // Create the text window 
    //
    //
    hwndFirstFenster = CreateWindow ( szTextClass,   // window class name        
                           szTextClass,     // window caption           
                           WS_OVERLAPPEDWINDOW | WS_VISIBLE | WS_CAPTION  |
                                     WS_VSCROLL,
                             0,                     // initial x position       
							 0,                     // initial y position       
                           TEXT_WIDTH,            // initial x size           
                           TEXT_HEIGHT,           // initial y size           
                           NULL,                  // parent window handle     
                           NULL,                  // window menu handle       
                           hInstance,             // program instance handle  
                           NULL) ;	          // creation parameters      

    
    ShowWindow (hwndFirstFenster, iCmdShow) ;
    UpdateWindow (hwndFirstFenster) ;

    return re;
}


