//
// oTk_intern.h
//
// 98 - 12 - 27
//

static char version_tk_intern[] =
"$Id: oTk_intern.h,v 1.1 1999/11/21 16:40:01 Fusz Exp Fusz $";

//
// Chagings:
//
// 99 - 01 - 27
// All things dealing with a variable Pixelformat are removed.
// 

#include <stdio.h>
#include <windows.h>
#include <GL/gl.h>
#include "oFooTypes.h"


#define	TK_SHIFT		1
#define	TK_CONTROL		2



#if DBG
#define TKASSERT(x)                                     \
if ( !(x) ) {                                           \
    PrintMessage("%s(%d) Assertion failed %s\n",        \
        __FILE__, __LINE__, #x);                        \
}
#else
#define TKASSERT(x)
#endif  /* DBG */

/*
** Display Mode Selection Criteria
*/

struct _WINDOWINFO {
    int x, y;
    int width, height;
    GLenum type;
    GLenum dmPolicy; // newr used
    int ipfd;
    BOOL bDefPos;
};

extern struct _WINDOWINFO  windInfo;

extern HWND     tkhwnd; 
extern HDC      tkhdc;
extern HGLRC    tkhrc;

// If TRUE, the Program can use a MessageBox
// Default : True
extern GLboolean tkPopupEnable;

// extern COLORREF gacrSave[MAX_STATIC_COLORS];

extern char lpszClassName[];

/*==============================================================*/

/* The Callback-Functions */

/*
// save the Reshape-Foo WM_SIZE:
*/
extern AUXRESHAPEPROC TkReshapeFunc;

/*
// save the Pointer to the painting routine: WM_PAINT:
*/
extern AUXMAINPROC TkDisplayFunc;

/*
//
*/
extern GLenum (*TkKeyDownFunc)(int, GLenum);

/*
//------------------------------------------------------------------
*/


LRESULT CALLBACK tkWndProc(HWND hWnd, UINT message, 
						   WPARAM wParam, LPARAM lParam);

void PrintMessage( const char *Format, ... );

long tkRealizePaletteNow( HDC Dc, HPALETTE Palette, BOOL bForceBackground );

BOOL TkSetPixelFormat(HDC hDC);
