#include "ts_header.h"

static char version[] =
"$Id: ts_mouse.c,v 1.1 1999/11/21 19:36:08 Fusz Exp $";

void Mouse()
{
    auxMouseFunc(AUX_LEFTBUTTON, AUX_MOUSEDOWN, Mouse_left);
    auxMouseFunc(AUX_MIDDLEBUTTON, AUX_MOUSEDOWN, Mouse_middle);
    auxMouseFunc(AUX_RIGHTBUTTON, AUX_MOUSEDOWN, Mouse_right);
}

/*=============================================================*/

GLenum CALLBACK Mouse_left(AUX_EVENTREC *event)
{
    GLint mouseX, mouseY;
    GLint hit;

    /*------------------------------------------------*/
    
    mouseX = event->data[AUX_MOUSEX];
    mouseY = event->data[AUX_MOUSEY];

    hit = DoSelect((GLint)mouseX, (GLint)mouseY );
    if (hit != -1)
    {
        RecolorTri(hit);
    }
    return GL_FALSE;
}

/*=========================================================*/

GLenum CALLBACK Mouse_middle(AUX_EVENTREC *event)
{
    GLint mouseX, mouseY;
    GLint hit;

    /*---------------------------------------------------*/
    
    mouseX = event->data[AUX_MOUSEX];
    mouseY = event->data[AUX_MOUSEY];
    hit = DoSelect((GLint)mouseX, (GLint)mouseY);
    if (hit != -1) {
        GrowTri(hit);
    }
    return GL_FALSE;
}

/*===============================================================*/

GLenum CALLBACK Mouse_right(AUX_EVENTREC *event)
{
    GLint mouseX, mouseY;
    GLint hit;

    /*------------------------------------------------------*/
    
    mouseX = event->data[AUX_MOUSEX];
    mouseY = event->data[AUX_MOUSEY];

    hit = DoSelect( (GLint)mouseX, (GLint)mouseY );

    if (hit != -1) {
        DeleteTri(hit);
    }

    return GL_FALSE;
}

