/*
 * ins_mouse.c
 *
 * 99 - 10 - 06
 */

#include "oAux_exp.h"
#include "oTkMouse.h"

static char version[] =
"$Id: ins_mouse.c,v 1.3 1999/10/09 19:53:00 Fusz Exp $";

GLenum InsMouseLoc(int x, int y, GLenum button)
{
    AUX_EVENTREC info;
    GLenum flag;
    int i;
	
    flag = GL_FALSE;
    for (i = 0; i < mouseLocTableCount; i++) 
    {
        if ((int)(button & AUX_LEFTBUTTON) == mouseLocTable[i].mouseField) 
        {
            info.event = AUX_MOUSELOC;
            info.data[AUX_MOUSEX] = x;
            info.data[AUX_MOUSEY] = y;
            info.data[AUX_MOUSESTATUS] = AUX_LEFTBUTTON;
            
            (*mouseLocTable[i].MouseFunc)(&info);

            flag |= GL_TRUE;
        }
		
        if ((int)(button & AUX_RIGHTBUTTON) == mouseLocTable[i].mouseField) 
        {
            info.event = AUX_MOUSELOC;
            info.data[AUX_MOUSEX] = x;
            info.data[AUX_MOUSEY] = y;
            info.data[AUX_MOUSESTATUS] = AUX_RIGHTBUTTON;
            (*mouseLocTable[i].MouseFunc)(&info);
            flag |= GL_TRUE;
        }
		
        if ((int)(button & AUX_MIDDLEBUTTON) == mouseLocTable[i].mouseField) 
        {
            info.event = AUX_MOUSELOC;
            info.data[AUX_MOUSEX] = x;
            info.data[AUX_MOUSEY] = y;
            info.data[AUX_MOUSESTATUS] = AUX_MIDDLEBUTTON;
            (*mouseLocTable[i].MouseFunc)(&info);
            flag |= GL_TRUE;
        }
    }
    return flag;
}

/*=====================================================================*/

GLenum InsMouseUp(int x, int y, GLenum button)
{
    AUX_EVENTREC info;
    GLenum flag;
    int i;

    /*-----------------------------------------------------------------*/
    
    flag = GL_FALSE;
    for (i = 0; i < mouseUpTableCount; i++)
    {
        if ((int)(button & AUX_LEFTBUTTON) == mouseUpTable[i].mouseField) 
        {
            info.event = AUX_MOUSEUP;
            info.data[AUX_MOUSEX] = x;
            info.data[AUX_MOUSEY] = y;
            info.data[AUX_MOUSESTATUS] = AUX_LEFTBUTTON;
            (*mouseUpTable[i].MouseFunc)(&info);
            flag |= GL_TRUE;
        }
		
        if ((int)(button & AUX_RIGHTBUTTON) == mouseUpTable[i].mouseField) 
        {
            info.event = AUX_MOUSEUP;
            info.data[AUX_MOUSEX] = x;
            info.data[AUX_MOUSEY] = y;
            info.data[AUX_MOUSESTATUS] = AUX_RIGHTBUTTON;
            (*mouseUpTable[i].MouseFunc)(&info);
            flag |= GL_TRUE;
        }
		
        if ((int)(button & AUX_MIDDLEBUTTON) == mouseUpTable[i].mouseField) 
        {
            info.event = AUX_MOUSEUP;
            info.data[AUX_MOUSEX] = x;
            info.data[AUX_MOUSEY] = y;
            info.data[AUX_MOUSESTATUS] = AUX_MIDDLEBUTTON;
            (*mouseUpTable[i].MouseFunc)(&info);
            flag |= GL_TRUE;
        }
    }
    return flag;
}

/*===================================================================*/

GLenum InsMouseDown(int x, int y, GLenum button)
{
    AUX_EVENTREC info;
    GLenum flag;
    int i;

    /*-----------------------------------------------------------------------*/
    
    flag = GL_FALSE;
    for (i = 0; i < mouseDownTableCount; i++) 
    {
        if ((int)(button & AUX_LEFTBUTTON) == mouseDownTable[i].mouseField) 
        {
            info.event = AUX_MOUSEDOWN;
            info.data[AUX_MOUSEX] = x;
            info.data[AUX_MOUSEY] = y;
            info.data[AUX_MOUSESTATUS] = AUX_LEFTBUTTON;

            (*mouseDownTable[i].MouseFunc)(&info);

            flag |= GL_TRUE;
        }

        
        if ((int)(button & AUX_RIGHTBUTTON) == mouseDownTable[i].mouseField) 
        {
            info.event = AUX_MOUSEDOWN;
            info.data[AUX_MOUSEX] = x;
            info.data[AUX_MOUSEY] = y;
            info.data[AUX_MOUSESTATUS] = AUX_RIGHTBUTTON;
            (*mouseDownTable[i].MouseFunc)(&info);
            flag |= GL_TRUE;
        }
        

        if ((int)(button & AUX_MIDDLEBUTTON) == mouseDownTable[i].mouseField) 
        {
            info.event = AUX_MOUSEDOWN;
            info.data[AUX_MOUSEX] = x;
            info.data[AUX_MOUSEY] = y;
            info.data[AUX_MOUSESTATUS] = AUX_MIDDLEBUTTON;
            (*mouseDownTable[i].MouseFunc)(&info);
            flag |= GL_TRUE;
        }
    }
    return flag;
}

