static char version_header[] =
"$Id: ts_header.h,v 1.1 1999/11/21 19:35:31 Fusz Exp $";

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <string.h>
#include <time.h>

#include "glos.h"


#include <GL/glu.h>
#include "oAux_exp.h"


#define MAXOBJS 10000
#define MAXSELECT 100
#define MAXFEED 300
#define SOLID 1
#define LINE 2
#define POINT 3

/*
 * to define colored triangles
 */

struct object {
    float v1[2];
    float v2[2];
    float v3[2];
    float color[3];
};

extern GLint tsWindW, tsWindH; /* size of the window */

extern GLuint  tsSelectBuf[];
extern GLfloat tsFeedBuf[];
extern GLint   tsVp[];

extern float tsZRotation; 
extern float tsZoom;      

extern GLint tsObjectCount; /* number of the triangle */
extern GLint tsNumObjects;

extern struct object tsObjects[]; /* Array of the triangle */

extern GLenum tsLinePoly;


void InitObjects(GLint num);
void Init(void );
void CALLBACK Reshape(int width,int height);
GLint DoSelect(GLint x, GLint y);
void RecolorTri(GLint h);
void DeleteTri(GLint h);
void GrowTri(GLint h);

/*
 * sets the projection and calls >>render()<<
 */
void CALLBACK Draw(void );

/*
 * display the triangle
 */
void Render(GLenum mode);

void DrawZoom(GLint x, GLint y);
void DumpFeedbackVert(GLint *i, GLint n);
void DrawFeedback(GLint n);
void DoFeedback(void );


void Mouse();

GLenum CALLBACK Mouse_left  (struct _AUX_EVENTREC *event);
GLenum CALLBACK Mouse_middle(struct _AUX_EVENTREC *event);
GLenum CALLBACK Mouse_right (struct _AUX_EVENTREC *event);

/*
 * to store the key functions
 */
void Keys();


void CALLBACK Key_LEFT(void );
void CALLBACK Key_RIGHT(void );

void CALLBACK Key_Z(void );
void CALLBACK Key_z(void );

void CALLBACK Key_f(void );
void CALLBACK Key_d(void );
void CALLBACK Key_l(void );




